%define libmajor 1
%define libname %mklibname %{name} %{libmajor}
%define libnamedevel %mklibname -d %{name}

Name:		netcf
Version:	0.2.8
Release:	1
Group:		Networking/Other
License:	LGPLv2
Summary:	A distribution agnostic library and tool for configuring network interfaces
URL:		https://fedorahosted.org/netcf
Source0:	https://fedorahosted.org/released/netcf/netcf-%{version}.tar.gz
Source1:	https://fedorahosted.org/released/netcf/netcf-%{version}.tar.gz.sig
BuildRequires:	pkgconfig(augeas)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(libnl-3.0)
BuildRequires:	readline-devel

%description
netcf is

    * a library for configuring network interfaces
    * a command line tool (ncftool) to do the same from the command line
    * distribution-agnostic and supports multiple distributions and operating
      systems (well, soon, anyway)
    * sets up Ethernet interfaces, bridges, and bonds 

Both libvirt and NetworkManager need this functionality - netcf implements what
is common to both of them.

%package -n %{libname}
Group:		System/Libraries
Summary:	A distribution agnostic library for configuring network interfaces

%description -n %{libname}
A distribution agnostic library for configuring network interfaces

Both libvirt and NetworkManager need this functionality - netcf implements what
is common to both of them.

%package -n %{libnamedevel}
Group:		Development/C
Summary:	Development files for a library for configuring network interfaces
Requires:	%{libname} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}

%description -n %{libnamedevel}
Development files for a distribution agnostic library for configuring network 
interfaces.

%prep
%setup -q

%build
autoreconf -fi
#see https://bugzilla.redhat.com/show_bug.cgi?id=852549
#in future we should switch off with-libnl1 and use libnl3
%configure2_5x --disable-static
%make

%install
%makeinstall_std
mkdir -p %{buildroot}%{_unitdir}
mv %{buildroot}%{_prefix}%{_unitdir}/* %{buildroot}%{_unitdir}/
rm -rf %{buildroot}%{_prefix}%{_unitdir}

%files
%doc README NEWS AUTHORS
%{_bindir}/*
%{_datadir}/%{name}
%{_libexecdir}/netcf-transaction.sh
%{_mandir}/man1/ncftool.1.*
%{_unitdir}/netcf-transaction.service

%files -n %{libname}
%{_libdir}/*.so.%{libmajor}*

%files -n %{libnamedevel}
%{_libdir}/*.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/%{name}.pc

%changelog

* Tue Nov 10 2015 Denis Silakov <dsilakov@gmail.com> 0.2.8-1
- (b639b86) Updated to 0.2.8


